#include <bits/stdc++.h>
using namespace std;
#define task "N!!"
int main()
{
   freopen(task".inp","r",stdin);
   freopen (task".out","w",stdout);
   int n; cin>>n; int d=1;
   if (n%2==0)
   {
       for (int i=2; i<=n; i=i+2)
        d=d*i;
   }
    else
    {
        for (int x=1;x<=n;x=x+2)
            d=d*x;
    }
    cout <<d;
}
